Skip to main content

Create User

This endpoint creates a new user

POST/api/user
Example Request
curl --location --request POST 'https://api.mintlify.com/api/user' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
    "current_token": ""
}'
Response
{
  "success": 1,
  "user_group": {
    "team_id": 3,
    "token": "<user_group_token_to_auth_dashboard>",
    "name": "Example 1",
    "provided_id": "example_1"
  }
}

Body

current_tokenstring

This is the current user group token you have for the user group that you want to rotate.

Response

successnumber

Indicates whether the call was successful. 1 if successful, 0 if not.

user_groupobject

The contents of the user group

ShowHide Toggle object
team_idnumber

This is the internal ID for this user group. You don’t need to record this information, since you will not need to use it.

tokenstring

This is the user group token (userGroupToken or USER_GROUP_TOKEN) that will be used to identify which user group is viewing the dashboard. You should save this on your end to use when rendering an embedded dashboard.

namestring

This is the name of the user group provided in the request body.

provided_idstring

This is the user_group_id provided in the request body.

api_environment_tagJSON or null

This is the environment tag of the user group. Possible values are ‘Customer’ and ‘Testing’. User group id’s must be unique to each environment, so you can not create multiple user groups with with same id. If you have a production customer and a test user group with the same id, you will be required to label one as ‘Customer’ and another as ‘Testing’